Вы находитесь здесь

Форум

Might & Magic Heroes VI wont start

Автор Replies
nilsolander84 Wednesday 28 October 2015 at 19:01
nilsolander84Anonymous

Hi. My name is Nils from Sweden.

I very much want to install Might & Magic Heroes VI.
It's the only reason I have windows remain on the computer.

I have come so far that I have installed the game but after that it goes no further.

It would just not start. I get no error message.

I have installd

- everything beginning with “d3dx”

- quartz

- vcrun2005 2008 2010 2012 2013

- wininet

- xact, xact_jun2010

- Donet 2.0 3.0

 

My system is

Release Linux Mint 17.2 Rafaela 64-bit

AMD FX(tm)-6300 Six-Core Processor × 6
AMD Radeon HD8600

PlayOnLinux 4.2.2

 

booman Friday 30 October 2015 at 23:12
booman

Are you installing this from CD ROM, GOG, Steam or Uplay?

Not a lot of good test results on WineHQ's

Someone posted only using these libraries:

d3dx10
d3dx9
vcrun2005
vcrun2008
vcrun2010

Make sure to use a 32-bit virtual drive


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
nilsolander84 Sunday 1 November 2015 at 12:11
nilsolander84Anonymous

I install whit dvd and its whit uplay.

I use 32b-bit.

wonder if its uplay that wont work proper.

regard

booman Sunday 1 November 2015 at 13:52
booman

Yes, it could be Uplay, it has had problems in the past with PlayOnLinux/Wine

Can you play any other games in Mint?
I'm asking because most games require 32-bit libraries and Mint won't automatically provide those for you.

Try this:

  • Open Software Installer
  • Search:  ia32-libs
  • Install ia32-libs
  • Restart Mint

This might be your main problem, but if Uplay still refuses to update and launch your game, search Google:  Uplay PlayOnLinux

Here is the newest guide I found, but it probably isn't in your language:

Uplay in PlayOnLinux

I have been able to run Uplay in the past, but it was really difficult and required a lot of steps and patience.
 


† Booman †
Mint 19 64-bit | Nvidia 415.25 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
nilsolander84 Sunday 1 November 2015 at 18:38
nilsolander84Anonymous

ok.

tanks :-)

nilsolander84 Sunday 1 November 2015 at 20:18
nilsolander84Anonymous

ia32-libs was installd.

i followed the guide to install uplay.

but i get error

 

[11/01/15 20:18:13] - Running wine-1.7.48 Uplay.exe (Working directory : /home/msi/.PlayOnLinux/wineprefix/Uplay/drive_c/Program Files/Ubisoft/Ubisoft Game Launcher)
fixme:heap:RtlSetHeapInformation (nil) 1 (nil) 0 stub
fixme:heap:RtlSetHeapInformation (nil) 1 (nil) 0 stub
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: kan inte öppna delad objektfil: Filen eller katalogen finns inte
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: kan inte öppna delad objektfil: Filen eller katalogen fifixme:ole:RemUnknown_QueryInterface No interface for iid {00000019-0000-0000-c000-000000000046}
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:heap:RtlSetHeapInformation 0x110000 0 0x32fce0 4 stub
fixme:ver:GetCurrentPackageId (0x32f5b0 (nil)): stub
fixme:winsock:WSAEnumNameSpaceProvidersW (0x31a288 0x32dfdc) Stub!
fixme:ver:GetCurrentPackageId (0x33f940 (nil)): stub
fixme:advapi:GetEffectiveRightsFromAclW 0x146e68 0x33fbf8 0x33fc14 - stub
fixme:advapi:GetExplicitEntriesFromAclW 0x146e3c 0x33fbc4 0x33fbd0
fixme:advapi:GetExplicitEntriesFromAclW 0x146e3c 0x33fbc8 0x33fbdc
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenSessionId, ...) semi-stub
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenSessionId, ...) semi-stub
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenSessionId, ...) semi-stub
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenSessionId, ...) semi-stub
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenSessionId, ...) semi-stub
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenSessionId, ...) semi-stub
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenSessionId, ...) semi-stub
fixme:alsa:AudioSessionControl_RegisterAudioSessionNotification (0x5392070)->(0x5b0c3d4) - stub
fixme:ver:GetCurrentPackageId (0x33f8f8 (nil)): stub
fixme:dbghelp:elf_search_auxv can't find symbol in module
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: kan inte öppna delad objektfil: Filen eller katalogen finns inte
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: kan inte öppna delad objektfil: Filen eller katalogen fierr:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
 

Вы находитесь здесь: Index > PlayOnLinux > Might & Magic Heroes VI wont start